package com.usky.agbox.service.job;

import com.alibaba.fastjson.JSONObject;
import com.google.gson.JsonObject;
import com.usky.agbox.service.util.HttpClientUtils;
import com.usky.agbox.service.vo.EventVO;

import java.util.HashMap;

public class patrolAgbox {

    private static String KEY = "44c2710b-f7ff-4487-a556-bfae08232a09";
    private static String URL = "http://172.16.120.245/agbox/device/patrol";

    /**
     * 获取事件编码信息
     * @return
     */
    public static JSONObject getEventCode() {
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"getPatrolEventCode\"}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 获取设备列表信息
     * @return
     */
    public static JSONObject getDeviceList() {
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"getDeviceList\"}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 添加事件信息
     * @return
     */
    public static JSONObject addEvent(EventVO eventVO) {
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"addEvent\",\"params\":{\"deviceId\":\""+eventVO.getDeviceId()+"\"," +
                "\"triggerTime\":\""+eventVO.getTriggerTime()+"\",\"eventCode\":"+eventVO.getEventCode()+",\"name" +
                "\":\""+eventVO.getName()+"\",\"certifiedNo\":\""+eventVO.getCertifiedNo()+"\"}}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 更新心跳信息
     * @return
     */
    public static JSONObject updateHeart(EventVO eventVO) {
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"updateHeart\",\"params\":{\"deviceId\":\""+eventVO.getDeviceId()+"\"}}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 获取事件信息
     * @return
     */
    public static JSONObject getEvent() {
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"getEvent\",\"params\":{\"eventId\":\"3af67e73-c393-42da-ab4c-96ad5dfb946d\"}}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }
}
